blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
b7200b0ad875a44ae57bca148bd2cbc2b9d13881
Shell
saadulkh/scripts
/whitesur-theme-gtk.sh
UTF-8
1,474
2.71875
3
[]
no_license
# A shell script to install & setup WhiteSur theme on GTK. # WhiteSur-gtk-theme: https://github.com/vinceliuice/WhiteSur-gtk-theme # WhiteSur-icon-theme: https://github.com/vinceliuice/WhiteSur-icon-theme # Created by Saad Khan on April 01, 2021. # Install Dash to Dock xdg-open https://extensions.gnome.org/extension/3...
true
2719a30571bdd5251f9ee001fdc7dd2dc74afe2c
Shell
cschneid-the-elder/mapa
/srcCount
UTF-8
988
2.8125
3
[ "MIT" ]
permissive
#!/bin/bash javaCbl=$(grep --exclude-from=cobol/src-exclude-list --count ";" cobol/src/*.java | awk -F ":" '{tot = tot + $2} END {print tot}'); javaJcl=$(grep --exclude-from=jcl/src-exclude-list --count ";" jcl/src/*.java | awk -F ":" '{tot = tot + $2} END {print tot}'); antlrCbl=$(grep --count ";" cobol/src/*.g4 | a...
true
98751b76ee8c1ac198c8bb75dbf2ff0a72804192
Shell
rosyapril/TritonBot
/cogrob_ros/use_cogrob_workspace/link_from_bazel.sh
UTF-8
1,343
3.796875
4
[ "BSD-3-Clause" ]
permissive
#!/usr/bin/env bash BAZEL=bazel # Get script path. BASH_SCRIPT="${BASH_SOURCE[0]}" while [ -h "$BASH_SCRIPT" ]; do BASH_SCRIPT_PATH="$( cd -P "$( dirname "$BASH_SCRIPT" )" && pwd )" BASH_SCRIPT="$(readlink "$BASH_SCRIPT")" [[ $BASH_SCRIPT != /* ]] && BASH_SCRIPT="$BASH_SCRIPT_PATH/$BASH_SCRIPT" done BASH_SCRIPT...
true
eeac4f5c73ff2a742423eeab0ecffcfb2599cf4a
Shell
k0keoyo/nezha
/utils/build_helpers/build_xzutils_lf.sh
UTF-8
1,806
3.359375
3
[]
no_license
CWD=`pwd` INCL=${CWD}/utils/build_helpers/include.sh source ${INCL} PATCH=xzutils_5.2.2_xz.patch GIT_COMMIT_VER=faf302137e54d605b44ecf0373cb51a6403a2de1 BDIR=${BUILD_LIBS}/${XZUTILS}_lf echo -e "\t * Building ASAN/SanitizerCoverage-instrumented XZUtils" if [ ! -d ${BDIR} ]; then mkdir -p ${BDIR} fi LC="-g -fsan...
true
023c936a4e8876e64773e993833aad4f7cffd861
Shell
davidrenne/asdineStormRocks
/bin/kill_golang
UTF-8
433
2.8125
3
[]
no_license
#!/bin/bash whoami=$(whoami) port=$(bash $GOPATH/src/github.com/davidrenne/asdineStormRocks/bin/get_port_local) if [[ "$whoami" == "root" ]] || [[ "$port" != "80" ]]; then pkill compile & ps -ax | grep "exe/asdineStormRocks" | awk '{print $1}' | xargs kill > /dev/null 2>&1 & else sudo pkill compile & p...
true
e068025ef35758bf9cc73c8424d65dda5408714b
Shell
xergioalex/nginxDocker
/docker/nginx/docker.sh
UTF-8
7,002
3.40625
3
[ "MIT" ]
permissive
# Utils functions . utils.sh # Create envs vars if don't exist ENV_FILES=("docker-compose.yaml" ".env" "nginx/site.template" "nginx/site.template.ssl") utils.check_envs_files "${ENV_FILES[@]}" # Load environment vars, to use from console, run follow command: utils.load_environment # Menu options if [[ "$1" == "mac...
true
3b551e6360cb87eccf422697c1d067c59a896b29
Shell
jalkal/scripts
/processXml.sh
UTF-8
1,302
4.03125
4
[]
no_license
#!/bin/sh ############################################## # Author: Jose Alcalde # Descriptrion: script that given a file name pattern is able find those files with this pattern # and do whatever for each file ############################################### multiFile() { for FILE in $(ls $WORK_DIR/$PATTERN ) do ...
true
5b352eb217ec7d0221b7082f69a6d41dd1dc2186
Shell
lianabatalova/HSEDevOpsHW2
/HW2_task1.sh
UTF-8
526
3.421875
3
[]
no_license
#!/bin/bash data_csv=$4 folder_name=$3 col_name=$2 col_name=$(head -1 $data_csv | tr -s ';' '\n' | nl -nln | grep "$col_name" | cut -f1) echo $col_name links=$(awk -F ";" -v head=$col_name '{print $head}' $data_csv) mkdir -p $folder_name cd $folder_name workers_count=$1 workers_pool=$workers_count echo $workers_cou...
true
0c8a5f3d8ab2a340c8487e439406984cbdd44c0e
Shell
durai23/testrep
/pennms_scripts_main/SkullStripCorrection/ThresholdJacobian_new.sh
UTF-8
16,326
3.875
4
[]
no_license
#!/bin/bash ################################################ VERSION INFO ################################################ # $Id: ThresholdJacobian.sh 71 2011-11-02 17:16:08Z doshijim@UPHS.PENNHEALTH.PRV $ # version() { # Display the version number and date of modification extracted from # the Id variable. SVNversi...
true
75c2aa2f3679d72d0d0d1e21aa95a7742f072fb4
Shell
ModeladoFoundation/ocr-apps
/apps/hpcg/refactored/ocr/intel-Eager-Collective/scripts/driver.sh
UTF-8
1,208
3.515625
4
[ "BSD-2-Clause" ]
permissive
#!/bin/bash # # Driver to build binaries, generate and run batch, show results # export JOB_PROPERTIES=${JOB_PROPERTIES-scripts/job.properties} . ${JOB_PROPERTIES} function build { eval "TARGET=${TARGET_NAME} RUN_MODE=buildApp V=1 make install" } function gen { # There's a nxyz entry per node entry we need to...
true
9ba58fd42ebdffd35e905cf0ba357a8d5bec5312
Shell
strivingman/zabbix
/zabbix-cpu-temperature/zabbix-temperature.sh
UTF-8
1,665
3.640625
4
[]
no_license
#!/bin/bash version=0.2 if [[ -e /etc/zabbix/temperature.conf ]]; then . /etc/zabbix/temperature.conf fi n=`ls /sys/devices/platform/|grep coretemp|wc -l` case "$1" in "--temperature-discovery") # Get the list of temperature devices echo -en '{\n "data":\n [' for SensorInput in $(/usr/bin/find /sys/d...
true
c8673d0a561b5746adcadbf57ca7ce904ce67b36
Shell
DarkStarSword/3d-fixes
/__profiles__/copy_profiles.sh
UTF-8
551
3.25
3
[]
no_license
#!/bin/sh -e version="$1" if [ -z "$version" ]; then echo "Specify version number" exit 1 fi mkdir "$version" cp -v "/cygdrive/c/NVIDIA/DisplayDriver/${version}/Win8_WinVista_Win7_64/International/Display.Driver/nvdrsdb.bi_" "$version/" cp -v "/cygdrive/c/ProgramData/NVIDIA Corporation/Drs/"*.bin "$version/" cp -...
true
edd78504dc12b202fd6ead5941ee00342dd8cea1
Shell
dgricci/stretch-base
/utilities.sh
UTF-8
1,239
4.125
4
[ "Apache-2.0" ]
permissive
# usage: file_env VAR [DEFAULT] # ie: file_env 'XYZ_DB_PASSWORD' 'example' # (will allow for "$XYZ_DB_PASSWORD_FILE" to fill in the value of # "$XYZ_DB_PASSWORD" from a file, especially for Docker's secrets feature) file_env() { local var="$1" local fileVar="${var}_FILE" local def="${2:-}" # If the firs...
true
7834288bd6c897b6a87aa559befc481499bb969e
Shell
colmm99/mongo-analytics
/reports/export_Data.sh
UTF-8
632
3.90625
4
[]
no_license
#!/bin/bash # # Export Mongodb to Make Generate Some Analysis # MONGO_SERVER=${1-"localhost"} MONGOG_DB=${2-"DB_1"} EXPORT_FILE=${3-export.csv} # Delete previous Export if [ -f ${EXPORT_FILE} ];then rm -rf ${EXPORT_FILE} fi # Make Sure Mongo Client is Installed before running if [ ! -f /usr/bin/mongoexport ];then...
true
26e6262656a3e328629f7b89451fc7ef1b221564
Shell
egan/scripts
/gitnew
UTF-8
749
3.875
4
[ "MIT" ]
permissive
#!/bin/bash ## # gitnew -- obtain fresh git commit logs and view them # # usage -- gitnew # # notes -- intended for use with aliases for specific repos # # written -- 25 July, 2012 by Egan McComb # # revised -- ## nfile="./.git/revision.info" if [[ ! -d ./.git ]] then echo "Error: Invalid git repo '$PWD'" >&2 ...
true
6e9dcd2520eb72625b1a08ebca6019b1765eb0ab
Shell
vladimercury/sparklab
/3-run-spark.sh
UTF-8
1,795
3.859375
4
[]
no_license
#!/bin/bash STACK_NAME=sparklab COMPOSE_FILE=docker/docker-compose.yml JAR_FILE=docker/code/spark.jar SCRIPTS=/usr/local/app/scripts RESULT_DIR=/usr/local/app/result SLEEP_DELAY=3 wait_sec_counter=60 master_ok= slave_ok= # Check for sudo/root printf "Checking for root permissions..." if [[ $(id -u) -ne 0 ]]; then >...
true
2910a42ec75a41b3e39ab625e4088fa461e6f4c4
Shell
TeamCodeStream/codestream-server
/dev-env.sh
UTF-8
1,745
2.953125
3
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference", "LicenseRef-scancode-warranty-disclaimer" ]
permissive
# This file is meant to be sourced into the shell environment [ ! -d .git -o ! -d ./api_server ] && echo "change to the root of your codestream-server repo before sourcing in this file" && return 1 [ -n "$CSBE_SANDBOX" ] && echo "this env config is not compatble with your dev_tools sandbox" && return 1 [ -f .sandbox...
true
91fa4f5facea193eb27bc9b5f33b9cc99688714d
Shell
sexibytes/packer-sexigraf
/scripts/base.bak.sh
UTF-8
1,793
2.765625
3
[]
no_license
# Update the box DEBIAN_FRONTEND=noninteractive apt-get -y update # apt-get -y install linux-headers-$(uname -r) build-essential # apt-get -y install zlib1g-dev libssl-dev libreadline-gplv2-dev DEBIAN_FRONTEND=noninteractive apt-get -y install curl unzip resolvconf console-setup apt-transport-https vim wget htop parted...
true
ab7dce682d952f8d6819d24bdfbdc3a95a94bbb5
Shell
naparuba/opsbro
/test/test_module_statsd.sh
UTF-8
769
3.625
4
[ "MIT" ]
permissive
#!/usr/bin/env bash # Load common shell functions MYDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" . $MYDIR/common_shell_functions.sh print_header "Starting to test STATSD module" # Enable STATSD module opsbro agent parameters add groups statsd-listener # Start it /etc/init.d/opsbro start cat /var/log/o...
true
2e347d6a0774ae7e48b9384318cb3645b4663f8f
Shell
gaspo53/spring-boot-api
/src/main/resources/scripts/cluster-update.sh
UTF-8
539
3.15625
3
[]
no_license
#!/bin/bash echo "################## CLUSTER UPDATE STARTED #######################" USERNAME=root HOSTS="unboundly-api-cluster-01 unboundly-api-cluster-02 unboundly-api-cluster-03 unboundly-api-cluster-04" SCRIPT="cd /root/git/unboundly-api; git checkout master; git pull; /etc/init.d/unboundly-api stop; /etc/init.d/un...
true
3893761bf045d12ff7a9e9969799402236bb9849
Shell
sushanthdn/dna-apps
/spark_standalone/src/spark_standalone.sh
UTF-8
2,273
3.546875
4
[]
no_license
#!/bin/bash set -e -x -o pipefail # spark_standalone 0.0.1 # Create a spark standalone cluster with a number of worker nodes # and run your spark application # # See https://wiki.dnanexus.com/Developer-Portal for tutorials on how # to modify this file. main() { echo "Value of application: '$application'" echo...
true
0d6b403ca10b78ce15d89ed0ba3b3f117fb66845
Shell
shukob/MateriAppsInstaller
/77_dsqss/intel.sh
UTF-8
1,408
3.359375
3
[]
no_license
#!/bin/sh SCRIPT_DIR=$(cd "$(dirname $0)"; pwd) . $SCRIPT_DIR/../util.sh . $SCRIPT_DIR/version.sh set_prefix . $PREFIX_TOOL/env.sh LOG=$BUILD_DIR/dsqss-$DSQSS_VERSION-$DSQSS_MA_REVISION.log PREFIX="$PREFIX_APPS/dsqss/dsqss-$DSQSS_VERSION-$DSQSS_MA_REVISION" if [ -d $PREFIX ]; then echo "Error: $PREFIX exists" e...
true
6843d46c0864273c3c5555b4ba5cf4e95a0c3d80
Shell
mlfcjob/shell
/20170726/redirect_in.sh
UTF-8
141
2.984375
3
[]
no_license
#!/bin/bash # redirecting file input exec 0< testfile count=1 while read line do echo "Line #$count: $line" count=$[$count + 1] done
true
777f1ff5dd569797304274676e378ca9c9081270
Shell
per1234/inolibbuglist
/scripts/arduino-ci-script-wrapper.sh
UTF-8
637
3.171875
3
[ "MIT" ]
permissive
#!/bin/bash # This script is necessary because arduino-ci-script's check_keywords_txt's reference link check feature requires environment variables set by set_application_folder and install_ide but when those functions are run they are in a separate bash session so those environment variables are lost. Therefore this k...
true
f55df8633219bf000ceb18e1f264971e95bd9491
Shell
jagibson/ec2metadata-role-assumption
/setup.sh
UTF-8
1,369
3.40625
3
[]
no_license
#!/bin/bash MYNAME=`whoami`@`hostname` DOCKERNETNAME='ec2metadata' # Using a /30 here only allows 169.254.169.254 available. DOCKERNET='169.254.169.252/30' DOCKERGATEWAY='169.254.169.253' if [ "`id -u`" == "0" ]; then sudo="" else sudo="sudo" fi if which "docker.exe" > /dev/null 2>&1; then dockercmd="docker.e...
true
6db8b7cd9685a3903408f858ee6723e194425e21
Shell
wkoszek/me
/scripts/upload.sh
UTF-8
163
2.640625
3
[ "BSD-2-Clause" ]
permissive
#!/bin/sh PARNAME="11_BLOG" DRIVE=gdrive PARID=`$DRIVE list -q "title = \"${PARNAME}\"" | grep -v ^Id | cut -d " " -f 1` $DRIVE upload --convert -p $PARID -f $1
true
fbcfba51fef60bfaa79da5bec67fb879f94782fc
Shell
jeremyschlatter/protocol
/tools/slither
UTF-8
405
3.453125
3
[ "BlueOak-1.0.0" ]
permissive
#!/usr/bin/env bash -euo pipefail # Note: This script requires slither installed using solc 0.8.9 function require() { hash $1 2> /dev/null || ( echo >&2 "I require $1 but I cannot find it."; exit 1 ) } require slither # cd to project root while [ ! -d .git -a `pwd` != "/" ]; do cd ..; done # Run from inside ...
true
d86552e85d7b0a0b7f3b59ae7c5dbeec692ec2df
Shell
kevinmao/yelp-sna
/analysis/shell/review_per_year.sh
UTF-8
299
3
3
[]
no_license
#!/bin/bash # global vars source ../../config.sh mkdir -p ${YELP_DATA_STATS} LOGGER "START..." output=${YELP_DATA_STATS}/review_per_year.tsv cat ${YELP_DATA_TSV}/review.tsv | cut -f4 | grep -v date | cut -d- -f1 | sort | uniq -c | sort -k2 | awk '{print $2"\t"$1}' > ${output} LOGGER "Done."
true
f8d154af0e8c380b83d26bf3a4a6c5804633eb39
Shell
MagdaKC/OPS_LARES
/GEODYN_II_ALL_IERS2010_RESXTND_P2
UTF-8
24,222
2.796875
3
[]
no_license
#!/bin/ksh # ${SCR_DBG}set -xv set -xv # GEODYN_II_ALL_IERS2010_RESXTND # # Imports are: CASEDIR CASE STAGE SV YR DATA LOCALDSK # #if [ `expr $#` -lt 5 ]; then # echo "Usage: GEODYN_II_ALL_IERS2010_RESXTND ARC LABEL SAT DATA tdir\007" # exit 101 #fi #echo " # " #echo " # GEODYN_II_ALL_IERS2010_RESXTND $* " ...
true
5d504a1a58dbbec2f08c97daef2e750683178c54
Shell
kalman/rc
/profile
UTF-8
4,752
3.140625
3
[]
no_license
#!/bin/bash # # Undo stuff before sourcing anything # for a in l ll la; do if alias -p | grep $a &>/dev/null; then unalias $a &>/dev/null fi done # # Platform specific (first because some stuff in here relies on it) # case `uname` in Darwin) source $HOME/.rc/profile_Darwin ;; Linux) source $HOME/.rc/pr...
true
08bd71497ece0a3fe4c691208af64aa835adfcd4
Shell
iconara/heller
/bin/kafka
UTF-8
1,796
3.625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash function awaitport() { for i in {1..10}; do nc -z localhost $1 && return 0 sleep 1 done echo "Failed to connect to port $1" return 1 } function start() { base_dir=$(dirname $0)/.. log_dir=$base_dir/tmp config_dir=$base_dir/spec/support/config classpath=$(ls -1 $(bundle show scala-l...
true
043c8ab5ebe80378943aee2d4ae54b9dab05a4f8
Shell
YordanGeorgiev/min-aws-cli
/src/bash/run/check-install-py-modules.func.sh
UTF-8
214
2.875
3
[ "MIT" ]
permissive
#!/bin/bash do_check_install_py_modules(){ test -z ${TGT_DIR:-} && TGT_DIR=$PRODUCT_DIR do_check_install_poetry $TGT_DIR cd $TGT_DIR poetry config virtualenvs.create true poetry install -v cd - }
true
ce45bf1b33dfd59291b5ac18cdb41a50e4563e58
Shell
dsc/scm-scripts
/svnurl.sh
UTF-8
264
3.71875
4
[]
no_license
#! /bin/sh # Extracts the repository URL from an svn or git-svn working copy. CWD=$PWD URL="${1:-.}" cd $URL if test -e '.git'; then INFO=$(git svn info | fgrep 'URL: ') else INFO=$(svn info . | fgrep 'URL: ') fi echo $INFO | awk '{ print $2 }' cd $CWD
true
983c901bcebeeb43b1b34b1cb4fdc06cf654fc22
Shell
CDCgov/phoenix
/bin/sort_and_prep_dist.sh
UTF-8
4,382
3.609375
4
[ "CC0-1.0", "LicenseRef-scancode-us-govt-public-domain", "Apache-2.0", "LicenseRef-scancode-public-domain" ]
permissive
#!/bin/bash -l # # Description: Grabs the best species match based on %/read hits from the kraken tool run. Simplified for nextflow inclusion # # Usage: ./kraken_best_hit.sh -i path_to_.list_file # # Output location: same as input path_to_.list_file # # Modules required: None # # v1.0.3 (04/19/2022) # # Created by Nic...
true
f6a12d78d5d27ec63008d768cb3cdad42d14eb46
Shell
debdutgoswami/pcc-cs592
/Shell Scripts/Day 3/pattern-1.sh
UTF-8
240
2.9375
3
[]
no_license
# for loop does not work in sh # to run bash scripts type ""bash <program_name>.sh"" read -p "enter number of rows: " num for ((i = 1; i <= num; i++)); do for ((j = 1; j <= i; j++)); do printf "*" done printf "\n" done
true
6e50c33b2e12ab9958f46623d97ca08be5be6d69
Shell
emf-developer/MessangerWithBash
/b.sh
UTF-8
708
3.203125
3
[]
no_license
#!/bin/bash echo "username:" read username echo "loged in" fielpos="$username" declare -i lineno=0 while read -r line; do echo $line let ++lineno sed -i "1 d" "$fielpos" done < "$fielpos" while true; do read line if [ "$line" = "exit" ]; then echo "khoshal shodim (0_0)" break elif [[ "$line...
true
ecdd91544eec82719f3ac9407afa3993f468cc11
Shell
IgorGramovich/my-ubuntu-setup
/slack.sh
UTF-8
861
2.90625
3
[ "MIT" ]
permissive
#!/bin/bash cd /tmp wget https://downloads.slack-edge.com/linux_releases/slack-desktop-3.0.2-amd64.deb sudo dpkg -i slack-desktop-*.*.*-amd64.deb sudo rm -rf slack-desktop-*.*.*-amd64.deb sudo apt-get -f install -y APP_NAME=Slack APP_EXEC="/usr/bin/slack --disable-gpu %U" AUTOSTART_CONFIG=~/.config/autostart/$APP_NAM...
true
1b8547ad36592becde5e9671ec3f2f98126aed3c
Shell
tstoltmann/pegasus
/share/pegasus/sh/pegasus-lite-common.sh
UTF-8
6,853
3.671875
4
[ "Apache-2.0" ]
permissive
#!/bin/bash ## # Copyright 2007-2011 University Of Southern California # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless require...
true
7c1aba4bf2edd43af7a943e11f2234f50536827c
Shell
dihuynh/dotfiles
/.bashrc
UTF-8
1,419
2.9375
3
[]
no_license
source ~/.bash_aliases if [ -f ~/.git-prompt.sh ]; then source ~/.git-prompt.sh export PS1="\[\e[35;1m\]\T \[\e[32;1m\]\W\[\e[1;33m\]\$(__git_ps1) > \[\e[0m\]" fi if [ -f ~/.git-completion.bash ]; then . ~/.git-completion.bash fi export NVM_DIR="/Users/di.huynh/.nvm" [ -s "$NVM_DIR/nvm.sh" ] && . "$NVM_DIR/nvm...
true
c79901bb76d21295f5ae6f9d3d0b8beaab90977c
Shell
mauilion/kind-workshop
/workshop/lib/demo.sh
UTF-8
873
3.046875
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash ######################## # include the magic ######################## . lib/demo-magic.sh ######################## # Configure the options ######################## # # speed at which to simulate typing. bigger num = faster # TYPE_SPEED=200 # # custom prompt # # see http://www.tldp.org/HOWTO/Bas...
true
85055e7b4caf063775fabeaf3d5a9262d59f7f7f
Shell
sourabbr/shell_scripting
/lesson_1/4_read_a_file_or_dir_name_and_do_something.sh
UTF-8
408
4.1875
4
[]
no_license
#!/bin/bash #Write a shell script that prompts the user for a name of a file or directory and does any operation read -p "Enter file/dir name:" file echo "File/Dir name: ${file}" if [ -f $file ] then echo "Regular file" elif [ -d $file ] then echo "Directory" else echo "Might not be a file/dir" fi list=$(ls $fil...
true
09b6fbdc3202690e9e1264bb7c0ab92457c1aba7
Shell
qais-yousef/qemu-imgs-manipulator
/chroot_img
UTF-8
780
3.828125
4
[]
no_license
#!/bin/bash set -eu function print_usage { echo "Usage: $(basename $0) [options]" echo " Options:" echo " --arch [arch]: x86_64(default)|i386|aarch64|arm" echo " -h|--help: print this help message" } ARCH=x86_64 SHORTOPTS="h" LONGOPTS="arch:,help" ARGS==`getopt -n "$(basename $0)" --options $SHORTOPTS --longo...
true
818d33fadb8a666a755826c3884c9d0a6cabfc7d
Shell
rtimmons/dotfiles
/050-pyenv/env.zshrc
UTF-8
370
2.953125
3
[]
no_license
#!/usr/bin/env bash pyenv() { if which pyenv > /dev/null; then eval "$(command pyenv init -)" eval "$(command pyenv init --path)" fi _openssl=$(brew --prefix openssl) export CPPFLAGS="-I${_openssl}/include -I$(xcrun -show-sdk-path)/usr/include ${CPPFLAGS:-}" export LDFLAGS="-L${_op...
true
957ddcc822c1bced53b670af12aae952fe35817b
Shell
ashikawa/scripts
/shell/getcdn.sh
UTF-8
388
3.5
4
[]
no_license
#!/bin/sh # GoogleCDN からファイルをダウンロード # 先に root で /ajax ディレクトリを作っておく事 # @see https://developers.google.com/speed/libraries/devguide?hl=ja#jquery VERSIONS=$@ for v in $VERSIONS do URL="http://ajax.googleapis.com/ajax/libs/jquery/$v/jquery.min.js" DIR="/ajax/libs/jquery/$v/" mkdir -p $DIR curl -o $DIR/jquery.min.js ...
true
ab35a06a41fa3cbe7c9af7b06a7a51ade8150821
Shell
moraisgabri/trybe-exercises
/intro_webDev/my-shell-scripts/exercicio8.sh
UTF-8
123
2.671875
3
[]
no_license
#!/bin/bash FRASE="shell script usando estrutura repetição for terminal" for PALAVRA in $FRASE ; do echo $PALAVRA ; done
true
efa0f5be389e6757e3acf742ea66a40c14466b2a
Shell
tiemei/lib
/shell/demos/printf.sh
UTF-8
1,003
3.046875
3
[]
no_license
#!/bin/bash printf "%s\n" "hello printf" # 一行 printf "%s\n" "hello printf" "in" "bash script" # 三行 printf "%s\t%s\n" "1" "2 3" "4" "5" # 两行,制表符分隔 printf "%s\n" "1" "2" "\n3" # 不会解释\n printf "%b\n" "1" "2" "\n3" # 会解释\n # %-10s 最少10位字符串,左对齐 # %08d 不足8位前补零 # %11.2f 精度2 printf "%d\n" 255 0xff 0377 3.5 # 整数,3.5不能正常解释 pr...
true
805fd99c4ce5b071e97c11013db5762ca03cb284
Shell
CloudTestDrive/helidon-kubernetes
/setup/devops-labs/vault-secrets-destroy.sh
UTF-8
837
3.28125
3
[]
no_license
#!/bin/bash -f export SETTINGS=$HOME/hk8sLabsSettings if [ -f $SETTINGS ] then echo "Loading existing settings information" source $SETTINGS else echo "No existing settings cannot continue" exit 10 fi SAVED_DIR=`pwd` cd ../common/vault FINAL_RESP=0 bash ./vault-individual-secret-destroy.sh OCI...
true
2e6fd03754a033312fc98ee89bb4bb371941c511
Shell
cycle13/newProjectPy
/brams/manipula_concat_BRAMS.gs
UTF-8
854
2.796875
3
[]
no_license
#! /bin/bash inctime=/stornext/home/carlos.bastarz/bin/inctime datai=20180801 dataf=20180930 #dataf=20180802 #wrfout_d01_2018-08-24_23:00:00 data=${datai} while [ ${data} -le ${dataf} ] do dataday=` echo ${data} |cut -c7-8` datamonth=` echo ${data} |cut -c5-6` #echo "${dataday}" for i in $(seq -w 0 3 23) ...
true
eadad804186c64b2f672e4d2d10c217e554a3c24
Shell
Bumsuk/ShellScript
/learn_adv/1601_exec_write.sh
UTF-8
1,532
3.40625
3
[]
no_license
#!/bin/bash # https://wiki.kldp.org/HOWTO/html/Adv-Bash-Scr-HOWTO/x10307.html # 16.1. exec 쓰기 # exec <filename 명령어는 표준입력을 파일로 재지향 시켜줍니다. 이때부터는, 주로 키보드에서 받던 모든 표준입력이 그 파일에서 들어 오게 됩니다. # 이렇게 하면 파일을 줄 단위로 읽을 수가 있게 되고 sed나 awk를 이용해서 입력되는 각 줄을 파싱할 수 있게 됩니다. # # 예 16-1. exec으로 표준입력을 재지향 하기 # 'exec'로 표준입력 재지향 하기. exec...
true
b93beb1449ee5b973ddc312a97be7c05b305420f
Shell
cncf/devstats-docker-images
/example/affs.sh
UTF-8
749
3.09375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash if ( [ -z "$PG_PASS" ] || [ -z "$PG_HOST" ] || [ -z "$PG_PORT" ] ) then echo "$0: you need to set PG_PASS, PG_HOST and PG_PORT to run this script" exit 1 fi export GHA2DB_PROJECTS_YAML="example/projects.yaml" export LIST_FN_PREFIX="example/all_" # GHA2DB_LOCAL=1 GHA2DB_PROCESS_REPOS=1 get_repos . ./de...
true
06b667810a8940cffe1dc22c90b8993d16bdfb60
Shell
xanarin/scuba
/bash_completion/scuba
UTF-8
935
3.765625
4
[ "MIT" ]
permissive
#!bash # # bash completion for scuba # https://github.com/JonathonReinhart/scuba # # Copy this file to /etc/bash_completion.d _scuba() { COMPREPLY=() # Look at all previous words, skipping command itself local i for ((i = 1; i < ${COMP_CWORD}; i++)); do word="${COMP_WORDS[i]}" if [[ $word != ...
true
dad098c165171955f1101afa7bc8d60d6f5f1772
Shell
StudioEtrange/roracle-install
/pool/stella/nix/pool/feature-recipe/feature_ansible.sh
UTF-8
1,434
2.90625
3
[ "Apache-2.0" ]
permissive
if [ ! "$_ansible_INCLUDED_" = "1" ]; then _ansible_INCLUDED_=1 # https://github.com/ansible/ansible # https://stackoverflow.com/questions/41535915/python-pip-install-from-local-dir feature_ansible() { FEAT_NAME=ansible FEAT_LIST_SCHEMA="2_4_0_0:source" FEAT_DEFAULT_ARCH= FEAT_DEFAULT_FLAVOUR="source" } feat...
true
b82b71a170b012df550e9e3014773e4965d69515
Shell
RanMax/SysProg
/2014-2015/IU4_93/Подорин Александр/homework_1/zad_51.sh
UTF-8
431
4.125
4
[]
no_license
#!/bin/bash if [ $# -lt 2 ]; then echo "Not enough parameters" exit 1 fi; dir_path=$1 search_string=$2 if [ ! -d "$dir_path" ]; then echo "Directory not exist" exit 2 fi; for file in `find "$dir_path" -maxdepth 1 -type f` do line_num=0 while read line ; do line_num=$(( $line_num+1 )) if [[ "$line" == *"$sea...
true
45c451ca9633ac66566dcae7d6c0d7ccdafb55e3
Shell
dataart-telco/restcomm-perf-test
/start_test.sh
UTF-8
5,011
3.59375
4
[]
no_license
#!/bin/bash source ./perfcorder.sh source ./config.sh usage() { echo "----------" echo "Usage: <max_calls_number> <simultaneous_calls> <calls_per_sec>" echo "----------" } if [ "$#" -ne 3 ]; then usage exit 1 fi if [ "$TEST_ENGINE" = 'local' ]; then echo "Use local env" machine_ip=`ip addr show...
true
25770e6eef2e6668f9f19e7978ac9179facbb884
Shell
Sanjit-Shelke/Operating_Systems
/Assignment-2/Assignment_2/prime.sh
UTF-8
189
3.375
3
[]
no_license
echo Enter your no.! read no i=2 z=0 while [ $i -lt $no ] do s=`expr $no % $i` if [ $s -eq $z ] then echo "Not a Prime Number" exit else i=`expr $i + 1` fi done echo "Prime No."
true
c8e8f3db42b9b1cc45f2fb843d68225c55b23cd7
Shell
sc-forks/synthetix
/hooks/circleci
UTF-8
1,716
3.90625
4
[ "MIT" ]
permissive
#!/usr/bin/env bash set -euo pipefail # Check .circleci/config.yml is up to date and valid, and that all changes are # included together in this commit. # Fail early if we accidentally used '.yaml' instead of '.yml' if ! git diff --name-only --cached --exit-code -- '.circleci/***.yaml'; then echo "ERROR: File(s) w...
true
b7aaaa82a6f0466ae1e76c9f98fe4fed8854ba8e
Shell
archey/pentesting
/snort_alert_output.sh
UTF-8
1,968
4.28125
4
[]
no_license
#!/usr/bin/env bash # Loops through a directory looking for pcaps and outputs and alert.log file for each pcap with a date and timestamp dir="$1" output_dir="$2" logoutput=snort-alerts.txt priority1alert=priority1-alerts.txt priority2alert=priority2-alerts.txt priority3alert=priority3-alerts.txt if [[ ! -d "$dir" ]]...
true
985f478728d3b5ac4c21e40a31bc403ffa9263d9
Shell
Lindenk/dotfiles
/dotbot_encrypt.sh
UTF-8
2,290
4.40625
4
[]
no_license
#!/usr/bin/env bash # ======================================= # Encrypt and decrypt files based on gpg # ======================================= # # Howto: # Create a file, for example test, inside the main directory. # Now encrypt it using gpg (like 'gpg -o test.enc.gpg -r <IDENTITY> -e test') # And run this script....
true
cce87cbbd3b902b864b013408eb2d3f8b82b3224
Shell
OlegSchwann/MovieSearchService
/migration/main.sh
UTF-8
894
3.3125
3
[]
no_license
#! /usr/bin/env bash set -o errexit -o nounset -o xtrace -o pipefail; # https://opendata.mkrf.ru/opendata/7705851331-register_movies if wget --no-verbose 'https://opendata.mkrf.ru/opendata/7705851331-register_movies/data-6-structure-3.json.zip'; then MIGRATION_DATA='data-6-structure-3.json.zip'; else echo 'Failed ...
true
1e71f8823c3b18b8c28654f50ba22f40ade2aa6f
Shell
xek/puppet-tripleo
/files/certmonger-haproxy-refresh.sh
UTF-8
2,054
4.125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # This script is meant to reload HAProxy when certmonger triggers a certificate # renewal. It'll concatenate the needed certificates for the PEM file that # HAProxy reads. die() { echo "$*" 1>&2 ; exit 1; } [[ $# -eq 2 ]] || die "Invalid number of arguments" [[ $1 == @(reload|restart) ]] || die "First ar...
true
8bef70b37bd68df50c7d26866b51eb37c1237abe
Shell
mesosphere/marathon-jenkins-stats
/lib/sql-common.sh
UTF-8
48
3.203125
3
[]
no_license
table-prefix() { basename "$1" | tr "-" "_" }
true
76cd08a48ba738c95dd8db41e000e88e56f1ca8c
Shell
Tech-XCorp/bilder
/packages/simyan.sh
UTF-8
2,441
3.234375
3
[]
no_license
#!/bin/sh ###################################################################### # # @file simyan.sh # # @brief Version and build information for simyan. # # @version $Rev$ $Date$ # # Copyright &copy; 2012-2017, Tech-X Corporation, Boulder, CO. # See LICENSE file (EclipseLicense.txt) for conditions of use. # #####...
true
238c9ce6113c15b8327bde5fbfa185d49231e5d4
Shell
nak5124/build_env
/usr/local/bin/symcopy
UTF-8
302
2.828125
3
[]
no_license
#!/usr/bin/env bash src=$(cygpath -w ${1}) if [ -d "${1}" -a -d "${2}" ] ; then dst=$(cygpath -w ${2})'\'${src##*\\} else dst=$(cygpath -w ${2}) fi xcp=$(cygpath -w /c/Windows/system32/xcopy) echo ' CALL chcp 65001 > nul '${xcp}' /E /I /Q /K /Y /B /J '${src}' '${dst}' exit ' | cmd > /dev/null
true
5db6aa683e717988efcf6706d1c4844fef7d6012
Shell
dragonmaus/work
/.old/cabal-world.sh
UTF-8
419
3.703125
4
[]
no_license
#!/bin/sh set -e cd "$HOME" world=$HOME/etc/cabal/world test -f "$world" || exit 0 cmd=$1 shift case $cmd in (install|update) cabal v2-update while read -u 3 name do case $name in (--*) continue ;; (*/*) test -d "$name" || continue (cd "$name" && cabal v2-clean && rm -f .ghc.environment.* && ...
true
67e2b89548551fd167a193e44f754ac659ac355b
Shell
dperique/kube-mini-cloud
/source/load_docker_image.sh
UTF-8
418
2.890625
3
[]
no_license
# Use this script if you don't have a container registry and just # want to get your image onto your k8s nodes directory. # myImage=kube-mc:0.1 docker save $myImage -o /tmp/o.tar mv /tmp/o.tar . tar czvf t.tgz ./o.tar for i in kube-test-10 ; do scp -i junk.rsa t.tgz ubuntu@$i:/tmp ssh -i junk.rsa ubuntu@$i "cd /t...
true
0dde96a175ea197cb2a559275403b79645bd8e2f
Shell
habib-rangoonwala/oracle-ebs-monitoring
/bin/hGC.ksh
UTF-8
1,016
3.359375
3
[ "MIT" ]
permissive
#!/bin/ksh ############################################################### # Author: Habib Rangoonwala # Creation Date: 03-May-2012 # Updation Date: 03-May-2012 ############################################################### hFile='gcstat.txt' hJavaVendor=`java -version 2>&1 |grep -i jroc...
true
f64e13c4a100f13cf36d8c9c3eb2e47137552616
Shell
Ghost-VR/minecraft-gibberish
/start.sh
UTF-8
342
2.703125
3
[]
no_license
#!/bin/sh while true do java -Xmx3072M -Xms3072M -jar minecraft_server.1.14.1.jar nogui echo "If you want to completely stop the server process now, press Ctrl+C before the time is up!" echo "Rebooting in:" for i in 5 4 3 2 1 do echo "$i..." sleep 1 done echo "Reb...
true
9cbbda22e9f30a2a538371603b45307d8f16c2d5
Shell
dsmid/kindle-pw2-l10n-cs
/sqlite2source
UTF-8
795
3.65625
4
[]
no_license
#!/bin/bash . config cd translation_$VERSION if [ -d "source/com" ] then echo "Delete translation_4.1/source/com first" exit fi deeptouch () { dir="$2/$(dirname "$1")" [ -d "$dir" ] || mkdir -p "$dir" touch "$2/$1" } sqlite3 -list -separator '^' ../kindle_loc.sqlite "select src,tran,file from ...
true
f750465c09172311a80bb830d48c50ced67b08fb
Shell
yanji84/ml-automa
/scripts/clustersetup.sh
UTF-8
7,058
2.84375
3
[]
no_license
curl -o /tmp/install_salt.sh -L https://bootstrap.saltstack.com && sh /tmp/install_salt.sh -Z -M git v2015.5.3 # reuse ssh key pair found in the repo export PUBLIC_KEY=`cat ~/.ssh/id_rsa.pub | cut -d ' ' -f 2` cat > /etc/salt/roster <<EOF node1: host: 158.85.79.185 priv: /root/.ssh/id_rsa node2: host: 158.85.79....
true
296e2efee3fba6c79693bab75787bb01e54b0c6c
Shell
DaHuMao/Commonly-used-configuration
/dotfiles/zsh/setup.sh
UTF-8
440
3.546875
4
[]
no_license
#!/usr/bin/env bash # get the dir of the current script SCRIPT_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd) && cd "$SCRIPT_DIR" || return 1 ln -sf $SCRIPT_DIR ~/.myzsh for bin_file in `ls ~/.myzsh/bin` do chmod 777 ~/.myzsh/bin/$bin_file done ln -sf "$SCRIPT_DIR/gitconfig" ~/.gitconfig [ ! -e ~/.zsh...
true
4c4975daaa86a4c697e972df98bad3a80d75e76e
Shell
open-switch/opx-sdi-sys-vm
/src/unit_test/tests/sdi_run_tests.sh
UTF-8
1,282
3.796875
4
[]
no_license
#!/bin/bash SDI_CFG_DIR=/etc/opx/sdi SQL_CREATE=sdi-db-create.sql DN_SDI_DB_NAME=vm-test.db DN_SDI_DB_INIT=sdi-db-test-init.sql DN_SDI_DB_SEM_KEY=0x564d5554 # VMUT BIN_DIR=$(dirname $0) DN_SDI_DB_BASE_DIR=$(realpath $BIN_DIR/data/) TEST_DB="$DN_SDI_DB_BASE_DIR/$DN_SDI_DB_NAME" # Copy the create script over to the ...
true
aa0cabd2882e4c711a64733cc57f15d7f72a6d4b
Shell
Betterpath/EliIE
/download.sh
UTF-8
1,752
3.890625
4
[]
no_license
#!/bin/bash set -eu # s3simple is a small, simple bash s3 client with minimal dependencies. # See http://github.com/paulhammond/s3simple for documentation and licence. s3simple() { local command="$1" local url="$2" local file="${3:--}" # todo: nice error message if unsupported command? if [ "${u...
true
b346bb1b891fe21450fa781bb06c2f616e5ebf41
Shell
stickwarslit/dotfiles
/config/i3_ubuntu/mute_toggl.sh
UTF-8
282
2.625
3
[]
no_license
#!/bin/bash # Toggles mute state for the current audio device amixer -c 1 set Master toggle if amixer -c 1 get Master | grep "\[on\]"; then if amixer -c 1 get Headphone | grep "\[0%\]"; then amixer -c 1 set Speaker toggle else amixer -c 1 set Headphone toggle fi fi
true
60387e81835be764ef63e531e13ed3b26035ec19
Shell
matthope/eng-concourse-resource-pagerduty-incident
/src/out
UTF-8
9,627
3.03125
3
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#! /usr/bin/env bash set -euo pipefail input_json="$(cat)" rest_api=$( echo "$input_json" | jq -cM '.source.rest') events_v2_api=$( echo "$input_json" | jq -cM '.source.events_v2') if [[ "$rest_api" == 'null' ]] && [[ "$events_v2_api" == 'null' ]]; then echo >&2 '[ERROR] You must define eithe...
true
e839f64439a624857980cbb699244e5d131fb29a
Shell
ahashisyuu/OpenSpider
/spider_sougou/download.sh
UTF-8
142
3.0625
3
[]
no_license
start=$1 end=$2 mkdir ciku for((i=$start;i<=$end;i++));do link=`sed -n $i"p" download.list` wget -P ciku/ "$link" #sleep 1 done
true
53ad5ac47763da37731ea65a01d1ccb9ea7d325a
Shell
entn-at/kaldi-lattice-utils
/fstbin/fst-minimize
UTF-8
712
3.296875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -e; [ $# -lt 2 ] && echo "Usage: ${0##*/} [options] <fst-rspecifier> <fst-wspecifier>" >&2 && exit 1; opts=(); while [ $# -gt 2 ]; do opts+=("$1"); shift; done; cmd="fstcompile | fstminimize ${opts[@]} | fstprint"; fstcopy --print-args=false "$1" "ark,t:-" | awk -v cmd="$cmd" 'BEGIN{ key=""; ...
true
31e8ea5224f3d6c5d8539d5fe901737fd1e4ca6c
Shell
jonaspm/sysadmin-monitor
/krystal.sh
UTF-8
1,855
3.546875
4
[]
no_license
#!/bin/bash #autorjonaspm #Fecha: Tue Apr 11 12:30:19 MDT 2017 #Comentario: Programa de monitoreo clear app_name="sysadmin-monitor" folder="/etc/cron.$app_name" config="krystal.conf" list=$(tail -n+3 <(tac $folder/$config)) correo=$(echo $(cat $folder/$config | tail -n2) | awk '{print $1}') access_token=$(cat $folder...
true
3ac87bf4de24ce32262d90440afa8e7564011f72
Shell
JosephBrendler/joetoo
/dev-util/joetoolkit/files/backup_utilities/tahawusbackup_mount
UTF-8
1,194
3.21875
3
[ "MIT" ]
permissive
#!/bin/bash source /usr/local/sbin/script_header_brendlefly BUILD=0.0 VERBOSE=$TRUE verbosity=2 #---[ main script ]--------------------------------------------------------- checkroot separator "tahawusbackup_mount-${BUILD}" message "creating mount point..." mkdir -p /mnt/tahawusbackupROOT message_n "Mounting /mnt/tah...
true
58b736d9322beaf9f1c11a4ca5cf3861d26bb187
Shell
qomarullah/dsp-proxy
/start.sh
UTF-8
586
2.75
3
[ "MIT" ]
permissive
#!/bin/bash cd /home/apps/apidb LIBDIR="lib/" LIB="./classes" for i in `ls $LIBDIR` do LIB=$LIB:$LIBDIR$i; echo $i"\n" done echo ${LIB} if [ ! -f app.pid ] then ~/src/jdk1.8.0_65/bin/java -Xss128m -Xms256m -Xmn128m -Xmx512m -verbose:gc -Dcom.sun.management.jmxremote -Dcom.sun.management.jmxremote.port=9...
true
5752d5db18349dd1e36d98de05c8cd5cd74ba19b
Shell
linyows/wercker-step-ikachan
/run.sh
UTF-8
1,368
3.078125
3
[ "MIT" ]
permissive
if [ ! -n "$WERCKER_IKACHAN_SERVER" ]; then error 'Please specify server property' exit 1 fi if [ ! -n "$WERCKER_IKACHAN_PORT" ]; then error 'Please specify port property' exit 1 fi if [ ! -n "$WERCKER_IKACHAN_CHANNEL" ]; then error 'Please specify channel property' exit 1 fi if [ ! -n "$DEPLOY" ]; then ...
true
62fd9e5f0f2855b0ef73a3d4b80700eeec4b3dda
Shell
bdekosky/NMED-NT69968
/NMED-NT69968_allelic_inclusion_finder.sh
UTF-8
3,813
3.515625
4
[]
no_license
#!/bin/bash #Usage command: #bash NMED-NT69968_allelic_inclusion_finder.sh replicate1_unique_pairs_over1read_noalleles_file replicate2_unique_pairs_over1read_noalleles_file replicate1_complete_pairs_file replicate2_complete_pairs_file #This script uses the file output from NMED-NT69968_VHVLIMGT_nucleotide_pairings.sh...
true
bd5249859ebd5af9c2d7a133d2e60830785b3665
Shell
dipeshtripathi/artifactorydemo
/folder1/run.sh
UTF-8
595
2.65625
3
[]
no_license
#!/bin/bash MAILTO= hostOs=$(/bin/echo RHEL`/bin/lsb_release -r | awk '{print $2}'`) if [ -e /tmp/bgl-acme-v01/disable.sh ]; then if /usr/bin/pgrep -u ngdevx -x telegraf > /dev/null then /usr/bin/pkill -u ngdevx -x telegraf > /dev/null fi else if ! /usr/bin/pgrep -u ngdevx -x telegraf > /dev/nul...
true
dce2cbe1d5463837ee7ed81e0356f9cefc909aed
Shell
farinajf/cas-4.1
/client/cas-get.sh
UTF-8
1,751
3.296875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash #Usage: cas-get.sh {url} {username} {password} DEST="$1" USERNAME="$2" PASSWORD="$3" ENCODED_DEST=`echo "$DEST" | perl -p -e 's/([^A-Za-z0-9])/sprintf("%%%02X", ord($1))/seg' | sed 's/%2E/./g' | sed 's/%0A//g'` CAS_HOST_PORT=wso2:8443 COOKIE_JAR=.cookieJar HEADER_DUMP_DEST=.headers rm $COOKIE_JAR rm $H...
true
a56b88eb24fd0d38f3ebbe4daf0dd309840fe909
Shell
talex5/mirage-clock
/.travis-ci.sh
UTF-8
490
2.625
3
[]
no_license
case "$OCAML_VERSION,$OPAM_VERSION" in 3.12.1,1.1.0) ppa=avsm/ocaml312+opam11 ;; 4.00.1,1.1.0) ppa=avsm/ocaml40+opam11 ;; 4.01.0,1.1.0) ppa=avsm/ocaml41+opam11 ;; *) echo Unknown $OCAML_VERSION,$OPAM_VERSION; exit 1 ;; esac echo "yes" | sudo add-apt-repository ppa:$ppa sudo apt-get update -qq sudo apt-get install -qq ...
true
1cd0b6de2e8abbcd5234aa8826b6ae82cb84297e
Shell
mhany90/affecthor
/utils/filter_lexinput.sh
UTF-8
697
3.1875
3
[]
no_license
#!/bin/bash # this script applies a lexical filter using lexicons in a given directory #SBATCH --time=00:15:00 #SBATCH --mem=40GB # Arguments: # $1 : input file # $2 : output file # $3 : directory containing lexicon evaluators # $4 : language code (En, Ar, Es) # join lexical filter input parameters lexparams="-...
true
3a34dffdde0b268e3260810b10e31e70d1f6518b
Shell
wifido/UBS_Projects
/code/LicAudit/LicAudit2.ksh
UTF-8
1,673
3.25
3
[]
no_license
#!/bin/ksh if [ -f /sbclocal/netcool/UBS_ENVIRONMENT/omniprof ]; then . /sbclocal/netcool/UBS_ENVIRONMENT/omniprof fi while getopts dp opt do case "$opt" in d) # Sets User name for OS and GW login PA_LIST="LDN1052_PA LDN1054_PA STM5257_PA STM1953_PA STM1935_PA STM1979_PA STM9174_PA SNG1281_PA" LOGFILE=LicAud...
true
347c972acb7c87956ffd4c299ca2720a805180a7
Shell
tklijnsma/geant4
/EEShashlikSimulation/H4OpticalSmall/rebuild.sh
UTF-8
761
2.734375
3
[]
no_license
echo "Remember to set up the environment first with setup_geant4.sh" if [ $HOSTNAME = "t3ui17" ]; then echo "Rebuilding on PSI" cd /shome/tklijnsm/testbeam/geant4/EEShashlikSimulation/H4OpticalSmall rm -rf cmake mkdir cmake cd cmake cp ../rebuild.sh rebuild.sh cp ../recompile.sh recompile.sh...
true
55c3e885d0ca7cedd8a63902082084dd0e97f344
Shell
bmaltais/primitive
/scripts/prim.sh
UTF-8
432
3.09375
3
[ "MIT" ]
permissive
# Example: /prim-mean.sh ber.jpg 2000 1024 2048 80 6 bertest filename=${1%.*} echo "prim.sh ${1} ${2} ${3} ${4} ${5} ${6}" > ${filename}-${5}-parms.txt for i in $( eval echo {1..${6}} ) do primitive -rep 10 -a 0 -i ${1} -m 0 -n ${2} -r ${3} -s ${4} -mp ${5} -v -o ${filename}-${5}-mean${6}-tmp$i.png convert ${file...
true
ffd882b79c633051dd1125c5c44079f657b618f4
Shell
mellwa/cs246_project
/Makefile.sh
UTF-8
410
3.09375
3
[]
no_license
CXX = g++ # compiler CXXFLAGS = -g -Wall -MMD # compiler flags OBJECTS = 1.o 2.o 3.o 4.o ... # all .o files DEPENDS = ${OBJECTS:.o=.d} # get dependency EXEC = soda ${EXEC} : ${OBJECTS} # link step ${CXX} ${OBJECTS} -o ${EXEC} -include ${DEPENDS} .PHONY : clean ...
true
0824dda0c2509c66ac0120caf1a74f5606e2e6d3
Shell
lkcbharath/Lab_Assignments
/3rd Semester/IT203 UNIX/Lab 4/3.sh
UTF-8
800
2.671875
3
[]
no_license
#!/bin/bash rm -f 3a.text rm -f 3b.text rm -f 3c.text rm -f 3d.text echo "Enter contents of file 1 in editor about to open. Press enter to continue. Use Ctrl+Shift+S to save and Alt+F4 to close it." read garbage gedit 3a.text echo "Enter contents of file 2 in editor about to open. Press enter to continue. Use Ctrl+Shi...
true
b29279fa30caf87720de3b42527a6b1881be7343
Shell
ted537/pt20-student
/test/generate-traces.sh
UTF-8
715
2.765625
3
[]
no_license
#!/bin/bash # generate all required ssltraces for evaluation coder_test_dirs="test/coder test/examples" semantic_test_dirs="$coder_test_dirs test/semantic" parser_test_dirs="$semantic_test_dirs test/parser" scanner_test_dirs="$parser_test_dirs test/scanner" for test_case in $(./test/find_test_cases.sh $scanner_test_d...
true
b2f02bdcd8d41886368530821688d2b8fabe2660
Shell
carlbrown/SwiftServerComparison
/bin/utility/archive_core.sh
UTF-8
932
3.53125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash RUN_DATE="`date '+%s'`" if [ $# -ne 1 -a $# -ne 2 -a $# -ne 3 ] ; then echo "Usage: $0 <executable_path> [port [override_date_in_seconds_since_epoch]]" >&2 exit 2 elif [ $# -eq 3 ] ; then RUN_DATE="$3" fi if [ -z "$2" ] ; then PORT="3000" else PORT="$2" fi export PORT if [ -f core ] ...
true
ce96c2a11fef9af1b35e29f22a920303c029ec79
Shell
UltraViolentLight/deployment_nginx_kubernetes
/scripts/upload_docker.sh
UTF-8
305
2.875
3
[]
no_license
#!/usr/bin/env bash # Create dockerpath dockerpath="ultraviolentlight/deployment_nginx_kubernetes" # Authenticate & tag echo "Docker ID and Image: $dockerpath" docker login &&\ docker image tag deployment_nginx_kubernetes $dockerpath # Push image to a docker repository docker image push $dockerpath
true
812bbb18c86141675a1a5474e86cc893b8bc88df
Shell
Willdiedog/MA5671-205
/usr/bin/wap.ssp.dproc
UTF-8
372
2.6875
3
[]
no_license
#!/bin/sh if [ $# -ne 1 ] ; then echo "Error arg, please input task id. eg: wap.ssp.dproc 32" exit 0 fi echo $1 > /proc/wap_proc/proc_dbg cat /proc/wap_proc/proc_dbg echo "========================== backtrace =========================" #wap.ssp.procbt $1 shellcmdexe $1 0x2004 echo "========================== maps...
true
88d1f5d9dee14131804d6d593d5fd0744636ba2e
Shell
18307612949/core-bash
/winhong/mysql.sh
UTF-8
1,237
3.265625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # 脚本来安装配置mysql # mysql.sh mysql_password # author: Xiong Neng echo "====================change root password====================" mysqladmin -u root password $1 2>/dev/null echo "====================grant privilege to remote=================" hostnm=$(hostname) mysql -uroot -p$1 -e "grant all privileges ...
true
2aedfde8652527ba5e8d4c21ba9f5513aabc2e3b
Shell
simonpfish/timeflow
/setup
UTF-8
637
3.21875
3
[]
no_license
#!/bin/sh # modeled after https://github.com/jasonrudolph/keyboard#installation set -e which -s brew || (echo "Homebrew is required: http://brew.sh/" && exit 1) brew bundle check || brew bundle # Prepare custom settings for Hammerspoon mkdir -p ~/.hammerspoon if ! grep -sq "require('timeflow')" ~/.hammerspoon/init...
true
82895e7ef9ffdef9503033ace4fc0a492630c867
Shell
Kuniwak/dotfiles
/setup-swift.sh
UTF-8
264
3.28125
3
[]
no_license
#!/bin/sh set -u has() { type "$1" > /dev/null 2>&1 } setup_swiftenv() { git clone git://github.com/kylef/swiftenv.git "$HOME/.swiftenv" } setup_lints() { has swiftenv || setup_swiftenv brew install swiftlint } setup_swift() { setup_lints } setup_swift
true
d9cfe2d919565cfebe95ef149516eb2eaf1934db
Shell
docker-suite/alpine-nginx
/Dockerfiles/rootfs/etc/entrypoint.d/401-logs.sh
UTF-8
833
4.03125
4
[ "MIT" ]
permissive
#!/bin/bash # set -e : Exit the script if any statement returns a non-true return value. # set -u : Exit the script when using uninitialised variable. set -eu # Log folder log_dir="/var/log/nginx" log_access="access.log" log_error="error.log" # Create log folder if necessary if [[ ! -d "${log_dir}" ]]; then DEB...
true
2fe999a1ebedadde6701da7d86bf2bc8160d6c3d
Shell
linuxfhy/auto_test
/cvt/tests/mn/tc_serviceip_pos001.sh
UTF-8
1,942
3.5
4
[]
no_license
#!/usr/bin/bash # # Copyright (c) 2017, Inspur. All rights reserved. # ################################################################################ # # __stc_assertion_start # # ID: mn/tc_serviceip_pos001 # # DESCRIPTION: # 1. verify service ip is changed as the cmd execute # 2. verify the service ip is stored in ...
true
fb748abd765007ea31c40bbc301cbd0839acc7fa
Shell
HELLOWORLDxN/raspberryPi
/autofan/install.sh
UTF-8
334
3
3
[]
no_license
dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" python3 -m compileall "$dir" dst="/usr/bin/autofan" echo 'dst' $dst echo 'dir' $dir if [ ! -d "$dst" ]; then mkdir "$dst" fi if [ ! -f "$dir/autofan.pid" ]; then touch "$dir/autofan.pid" fi cp -r $dir/* /usr/bin/autofan cp -r $dir/service/autofan.service /lib/sy...
true